Bug 749812 - Review Request: sugar-fractionbounce - A game which teaches fractions and estimations
Review Request: sugar-fractionbounce - A game which teaches fractions and est...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-28 10:25 EDT by Kalpa Welivitigoda
Modified: 2013-01-26 10:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-26 10:55:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalpa Welivitigoda 2011-10-28 10:25:36 EDT
Spec URL: http://callkalpa.fedorapeople.org/sugar-fraction-bounce/sugar-fraction-bounce.spec
SRPM URL:
http://callkalpa.fedorapeople.org/sugar-fraction-bounce/sugar-fraction-bounce-12-1.fc15.src.rpm
Description: 

Hi I just finished packaging sugar-fraction-bounce. I highly appreciate a review.

sugar-fraction-bounce is an activity for sugar. FractionBounce is a game that prompts the player to nudge a bouncing ball to land at a point on the bottom of the screen that is an estimate of a given fraction. e.g. if 1/3 is displayed, then the ball must land 1/3 the distance along the bottom. This teaches the user both fractions and estimations.
Comment 1 Kalpa Welivitigoda 2011-11-26 23:39:47 EST
renamed the package according to fedora package naming guidelines

Spec URL:
http://callkalpa.fedorapeople.org/sugar-fractionbounce/sugar-fractionbounce.spec
SRPM URL:
http://callkalpa.fedorapeople.org/sugar-fractionbounce/sugar-fractionbounce-12-2.fc16.src.rpm
Comment 2 Juan Orti 2011-11-29 08:27:34 EST
Hello, I'm going to informally review your package because I'm not a package
maintainer. I also have submited some packages waiting for review and I'm
looking for sponsor, so it would be great if you can review some of my packages
(#738556 #756445 #756435 #756443)

$ rpmlint *
sugar-fractionbounce.noarch: W: non-standard-group Sugar/Activities
sugar-fractionbounce.src: W: non-standard-group Sugar/Activities
sugar-fractionbounce.spec:6: W: non-standard-group Sugar/Activities
2 packages and 1 specfiles checked; 0 errors, 3 warnings.
 
- I think the correct group would be:  Amusements/Games
- It's cleaner to have only one BuildRequires per line
- You must use BuildRequires: python-devel  instead of only python
- Remove the slash after %{buildroot} because it's already included
- You can drop the %defattr line

Hope it helps.
Regards :)
Comment 3 Kalpa Welivitigoda 2011-12-15 11:42:56 EST
Thanks. I'm not a sponsor yet. So I won't be able to review your package review requests at the moment. Still I will try to review them informally as time permits.

The group is not a standard, still it is valid.

Here are the new files.
Spec URL:
http://callkalpa.fedorapeople.org/sugar-fractionbounce/sugar-fractionbounce.spec
SRPM URL:
http://callkalpa.fedorapeople.org/sugar-fractionbounce/sugar-fractionbounce-13-1.fc16.src.rpm
Comment 5 Mario Blättermann 2013-01-13 10:38:19 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4864699

$ rpmlint -i -v *sugar-fractionbounce.src: I: checking
sugar-fractionbounce.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-fractionbounce.src: I: checking-url http://wiki.sugarlabs.org/go/Activities/FractionBounce (timeout 10 seconds)
sugar-fractionbounce.src: I: checking-url http://download.sugarlabs.org/sources/honey/FractionBounce/FractionBounce-14.tar.bz2 (timeout 10 seconds)
sugar-fractionbounce.noarch: I: checking
sugar-fractionbounce.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-fractionbounce.noarch: I: checking-url http://wiki.sugarlabs.org/go/Activities/FractionBounce (timeout 10 seconds)
sugar-fractionbounce.spec:6: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-fractionbounce.spec: I: checking-url http://download.sugarlabs.org/sources/honey/FractionBounce/FractionBounce-14.tar.bz2 (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

rpmlint is silent so far, besides the unknown package group. This is ignorable, as already discussed in the sugar-fototoon review.



BuildRequires:  python sugar-toolkit gettext python-devel

You must define the needed Python version. Use python2-devel and drop python because it is redundant.

Once you have fixed this issue, your package is ready for a full review.
Comment 6 Kalpa Welivitigoda 2013-01-13 11:46:40 EST
There is a new release in the upstream with gtk3 port. Please find the new files,

Spec URL:
http://callkalpa.fedorapeople.org/sugar-fractionbounce/sugar-fractionbounce.spec
SRPM URL:
http://callkalpa.fedorapeople.org/sugar-fractionbounce/sugar-fractionbounce-15-1.fc17.src.rpm

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4864759
Comment 7 Mario Blättermann 2013-01-13 12:04:31 EST
Please use python2-devel instead of python-devel. See http://fedoraproject.org/wiki/Packaging:Python#BuildRequires.
Comment 9 Mario Blättermann 2013-01-13 13:32:26 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4865694

$ rpmlint -i -v *
sugar-fractionbounce.src: I: checking
sugar-fractionbounce.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-fractionbounce.src: I: checking-url http://wiki.sugarlabs.org/go/Activities/FractionBounce (timeout 10 seconds)
sugar-fractionbounce.src: I: checking-url http://download.sugarlabs.org/sources/honey/FractionBounce/FractionBounce-15.tar.bz2 (timeout 10 seconds)
sugar-fractionbounce.noarch: I: checking
sugar-fractionbounce.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-fractionbounce.noarch: I: checking-url http://wiki.sugarlabs.org/go/Activities/FractionBounce (timeout 10 seconds)
sugar-fractionbounce.spec:6: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

sugar-fractionbounce.spec: I: checking-url http://download.sugarlabs.org/sources/honey/FractionBounce/FractionBounce-15.tar.bz2 (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

Nothing of interest anymore.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    62aae3c2313529e4c14ae82cc32b184c4c0ee8da224f3f9c8a29a7de7dd037e7  FractionBounce-15.tar.bz2
    62aae3c2313529e4c14ae82cc32b184c4c0ee8da224f3f9c8a29a7de7dd037e7  FractionBounce-15.tar.bz2.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 10 Kalpa Welivitigoda 2013-01-13 13:34:04 EST
Thanks Mario
Comment 11 Kalpa Welivitigoda 2013-01-13 13:35:38 EST
New Package SCM Request
=======================
Package Name: sugar-fractionbounce
Short Description: A game which teaches fractions and estimations
Owners: callkalpa
Branches: f16 f17 f18
InitialCC:
Comment 12 Jon Ciesla 2013-01-14 06:49:02 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-01-15 21:40:22 EST
sugar-fractionbounce-15-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sugar-fractionbounce-15-2.fc18
Comment 14 Fedora Update System 2013-01-18 15:28:59 EST
sugar-fractionbounce-15-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 15 Fedora Update System 2013-01-26 10:55:10 EST
sugar-fractionbounce-15-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.